diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lr-wpan/test/lr-wpan-mac-test.cc ns-3.42/src/lr-wpan/test/lr-wpan-mac-test.cc
--- ns-3.41/src/lr-wpan/test/lr-wpan-mac-test.cc	2024-02-09 14:44:07.957790400 -0800
+++ ns-3.42/src/lr-wpan/test/lr-wpan-mac-test.cc	2024-05-29 15:29:46.976073300 -0700
@@ -30,6 +30,7 @@
 #include <iostream>
 
 using namespace ns3;
+using namespace ns3::lrwpan;
 
 NS_LOG_COMPONENT_DEFINE("lr-wpan-mac-test");
 
@@ -66,8 +67,8 @@
      */
     void StateChangeNotificationDev0(std::string context,
                                      Time now,
-                                     LrWpanPhyEnumeration oldState,
-                                     LrWpanPhyEnumeration newState);
+                                     PhyEnumeration oldState,
+                                     PhyEnumeration newState);
     /**
      * Function called when a the PHY state changes in Dev2 [00:03]
      * \param context context
@@ -77,12 +78,12 @@
      */
     void StateChangeNotificationDev2(std::string context,
                                      Time now,
-                                     LrWpanPhyEnumeration oldState,
-                                     LrWpanPhyEnumeration newState);
+                                     PhyEnumeration oldState,
+                                     PhyEnumeration newState);
 
     void DoRun() override;
 
-    LrWpanPhyEnumeration m_dev0State; //!< Stores the PHY state of device 0 [00:01]
+    PhyEnumeration m_dev0State; //!< Stores the PHY state of device 0 [00:01]
 };
 
 TestRxOffWhenIdleAfterCsmaFailure::TestRxOffWhenIdleAfterCsmaFailure()
@@ -103,11 +104,11 @@
 void
 TestRxOffWhenIdleAfterCsmaFailure::DataConfirm(McpsDataConfirmParams params)
 {
-    if (params.m_status == LrWpanMacStatus::SUCCESS)
+    if (params.m_status == MacStatus::SUCCESS)
     {
         NS_LOG_DEBUG("LrWpanMcpsDataConfirmStatus = Success");
     }
-    else if (params.m_status == LrWpanMacStatus::CHANNEL_ACCESS_FAILURE)
+    else if (params.m_status == MacStatus::CHANNEL_ACCESS_FAILURE)
     {
         NS_LOG_DEBUG("LrWpanMcpsDataConfirmStatus =  Channel Access Failure");
     }
@@ -116,8 +117,8 @@
 void
 TestRxOffWhenIdleAfterCsmaFailure::StateChangeNotificationDev0(std::string context,
                                                                Time now,
-                                                               LrWpanPhyEnumeration oldState,
-                                                               LrWpanPhyEnumeration newState)
+                                                               PhyEnumeration oldState,
+                                                               PhyEnumeration newState)
 {
     NS_LOG_DEBUG(Simulator::Now().As(Time::S)
                  << context << "PHY state change at " << now.As(Time::S) << " from "
@@ -130,8 +131,8 @@
 void
 TestRxOffWhenIdleAfterCsmaFailure::StateChangeNotificationDev2(std::string context,
                                                                Time now,
-                                                               LrWpanPhyEnumeration oldState,
-                                                               LrWpanPhyEnumeration newState)
+                                                               PhyEnumeration oldState,
+                                                               PhyEnumeration newState)
 {
     NS_LOG_DEBUG(Simulator::Now().As(Time::S)
                  << context << "PHY state change at " << now.As(Time::S) << " from "
@@ -283,7 +284,7 @@
     Simulator::Run();
 
     NS_TEST_EXPECT_MSG_EQ(m_dev0State,
-                          LrWpanPhyEnumeration::IEEE_802_15_4_PHY_TRX_OFF,
+                          PhyEnumeration::IEEE_802_15_4_PHY_TRX_OFF,
                           "Error, dev0 [00:01] PHY should be in TRX_OFF after CSMA failure");
 
     Simulator::Destroy();
@@ -336,7 +337,7 @@
 void
 TestActiveScanPanDescriptors::ScanConfirm(MlmeScanConfirmParams params)
 {
-    if (params.m_status == LrWpanMacStatus::SUCCESS)
+    if (params.m_status == MacStatus::SUCCESS)
     {
         m_panDescriptorList = params.m_panDescList;
     }
@@ -455,9 +456,9 @@
     // PAN coordinator N2 (PAN 7) is set to channel 14 in non-beacon mode but answer to beacon
     // requests. The second coordinator includes a beacon payload of 25 bytes using the
     // MLME-SET.request primitive.
-    Ptr<LrWpanMacPibAttributes> pibAttribute = Create<LrWpanMacPibAttributes>();
+    Ptr<MacPibAttributes> pibAttribute = Create<MacPibAttributes>();
     pibAttribute->macBeaconPayload = Create<Packet>(25);
-    coord2NetDevice->GetMac()->MlmeSetRequest(LrWpanMacPibAttributeIdentifier::macBeaconPayload,
+    coord2NetDevice->GetMac()->MlmeSetRequest(MacPibAttributeIdentifier::macBeaconPayload,
                                               pibAttribute);
 
     MlmeStartRequestParams params2;
@@ -573,7 +574,7 @@
 void
 TestOrphanScan::ScanConfirm(MlmeScanConfirmParams params)
 {
-    if (params.m_status == LrWpanMacStatus::SUCCESS)
+    if (params.m_status == MacStatus::SUCCESS)
     {
         m_orphanScanSuccess = true;
     }
@@ -723,11 +724,11 @@
 };
 
 LrWpanMacTestSuite::LrWpanMacTestSuite()
-    : TestSuite("lr-wpan-mac-test", UNIT)
+    : TestSuite("lr-wpan-mac-test", Type::UNIT)
 {
-    AddTestCase(new TestRxOffWhenIdleAfterCsmaFailure, TestCase::QUICK);
-    AddTestCase(new TestActiveScanPanDescriptors, TestCase::QUICK);
-    AddTestCase(new TestOrphanScan, TestCase::QUICK);
+    AddTestCase(new TestRxOffWhenIdleAfterCsmaFailure, TestCase::Duration::QUICK);
+    AddTestCase(new TestActiveScanPanDescriptors, TestCase::Duration::QUICK);
+    AddTestCase(new TestOrphanScan, TestCase::Duration::QUICK);
 }
 
 static LrWpanMacTestSuite g_lrWpanMacTestSuite; //!< Static variable for test initialization
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lr-wpan/test/lr-wpan-packet-test.cc ns-3.42/src/lr-wpan/test/lr-wpan-packet-test.cc
--- ns-3.41/src/lr-wpan/test/lr-wpan-packet-test.cc	2024-02-09 14:44:07.957790400 -0800
+++ ns-3.42/src/lr-wpan/test/lr-wpan-packet-test.cc	2024-05-29 15:29:46.976073300 -0700
@@ -27,6 +27,7 @@
 #include <vector>
 
 using namespace ns3;
+using namespace ns3::lrwpan;
 
 NS_LOG_COMPONENT_DEFINE("lr-wpan-packet-test");
 
@@ -120,9 +121,9 @@
 };
 
 LrWpanPacketTestSuite::LrWpanPacketTestSuite()
-    : TestSuite("lr-wpan-packet", UNIT)
+    : TestSuite("lr-wpan-packet", Type::UNIT)
 {
-    AddTestCase(new LrWpanPacketTestCase, TestCase::QUICK);
+    AddTestCase(new LrWpanPacketTestCase, TestCase::Duration::QUICK);
 }
 
 static LrWpanPacketTestSuite g_lrWpanPacketTestSuite; //!< Static variable for test initialization
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lr-wpan/test/lr-wpan-pd-plme-sap-test.cc ns-3.42/src/lr-wpan/test/lr-wpan-pd-plme-sap-test.cc
--- ns-3.41/src/lr-wpan/test/lr-wpan-pd-plme-sap-test.cc	2024-02-09 14:44:07.957790400 -0800
+++ ns-3.42/src/lr-wpan/test/lr-wpan-pd-plme-sap-test.cc	2024-05-29 15:29:46.976073300 -0700
@@ -25,6 +25,7 @@
 #include <ns3/test.h>
 
 using namespace ns3;
+using namespace ns3::lrwpan;
 
 /**
  * \ingroup lr-wpan-test
@@ -104,9 +105,9 @@
 };
 
 LrWpanPlmeAndPdInterfaceTestSuite::LrWpanPlmeAndPdInterfaceTestSuite()
-    : TestSuite("lr-wpan-plme-pd-sap", UNIT)
+    : TestSuite("lr-wpan-plme-pd-sap", Type::UNIT)
 {
-    AddTestCase(new LrWpanPlmeAndPdInterfaceTestCase, TestCase::QUICK);
+    AddTestCase(new LrWpanPlmeAndPdInterfaceTestCase, TestCase::Duration::QUICK);
 }
 
 // Do not forget to allocate an instance of this TestSuite
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lr-wpan/test/lr-wpan-slotted-csmaca-test.cc ns-3.42/src/lr-wpan/test/lr-wpan-slotted-csmaca-test.cc
--- ns-3.41/src/lr-wpan/test/lr-wpan-slotted-csmaca-test.cc	2024-02-09 14:44:07.957790400 -0800
+++ ns-3.42/src/lr-wpan/test/lr-wpan-slotted-csmaca-test.cc	2024-05-29 15:29:46.976073300 -0700
@@ -29,6 +29,7 @@
 #include <ns3/single-model-spectrum-channel.h>
 
 using namespace ns3;
+using namespace ns3::lrwpan;
 
 NS_LOG_COMPONENT_DEFINE("lr-wpan-slotted-csma-test");
 
@@ -125,7 +126,7 @@
 {
     // In the case of transmissions with the acknowledgment flag activated, the transmission is only
     // successful if the acknowledgment was received.
-    if (params.m_status == LrWpanMacStatus::SUCCESS)
+    if (params.m_status == MacStatus::SUCCESS)
     {
         NS_LOG_UNCOND(Simulator::Now().GetSeconds() << "s Transmission successfully sent");
         testcase->m_sentTime = Simulator::Now();
@@ -351,9 +352,9 @@
 };
 
 LrWpanSlottedCsmacaTestSuite::LrWpanSlottedCsmacaTestSuite()
-    : TestSuite("lr-wpan-slotted-csmaca", UNIT)
+    : TestSuite("lr-wpan-slotted-csmaca", Type::UNIT)
 {
-    AddTestCase(new LrWpanSlottedCsmacaTestCase, TestCase::QUICK);
+    AddTestCase(new LrWpanSlottedCsmacaTestCase, TestCase::Duration::QUICK);
 }
 
 static LrWpanSlottedCsmacaTestSuite
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lr-wpan/test/lr-wpan-spectrum-value-helper-test.cc ns-3.42/src/lr-wpan/test/lr-wpan-spectrum-value-helper-test.cc
--- ns-3.41/src/lr-wpan/test/lr-wpan-spectrum-value-helper-test.cc	2024-02-09 14:44:07.957790400 -0800
+++ ns-3.42/src/lr-wpan/test/lr-wpan-spectrum-value-helper-test.cc	2024-05-29 15:29:46.976073300 -0700
@@ -24,6 +24,7 @@
 #include <cmath>
 
 using namespace ns3;
+using namespace ns3::lrwpan;
 
 /**
  * \ingroup lr-wpan-test
@@ -85,9 +86,9 @@
 };
 
 LrWpanSpectrumValueHelperTestSuite::LrWpanSpectrumValueHelperTestSuite()
-    : TestSuite("lr-wpan-spectrum-value-helper", UNIT)
+    : TestSuite("lr-wpan-spectrum-value-helper", Type::UNIT)
 {
-    AddTestCase(new LrWpanSpectrumValueHelperTestCase, TestCase::QUICK);
+    AddTestCase(new LrWpanSpectrumValueHelperTestCase, TestCase::Duration::QUICK);
 }
 
 static LrWpanSpectrumValueHelperTestSuite
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/doc/Makefile ns-3.42/src/lte/doc/Makefile
--- ns-3.41/src/lte/doc/Makefile	2024-02-09 14:44:07.957790400 -0800
+++ ns-3.42/src/lte/doc/Makefile	2024-05-29 15:29:46.976073300 -0700
@@ -223,7 +223,7 @@
 
 
 # You can set these variables from the command line.
-SPHINXOPTS    =
+SPHINXOPTS    = -W --keep-going
 SPHINXBUILD   = sphinx-build
 PAPER         =
 BUILDDIR      = build
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/helper/no-backhaul-epc-helper.cc ns-3.42/src/lte/helper/no-backhaul-epc-helper.cc
--- ns-3.41/src/lte/helper/no-backhaul-epc-helper.cc	2024-02-09 14:44:08.009791000 -0800
+++ ns-3.42/src/lte/helper/no-backhaul-epc-helper.cc	2024-05-29 15:29:47.004073400 -0700
@@ -105,7 +105,7 @@
     NetDeviceContainer tunDeviceContainer;
     tunDeviceContainer.Add(m_tunDevice);
     // the TUN device is on the same subnet as the UEs, so when a packet
-    // addressed to an UE arrives at the intenet to the WAN interface of
+    // addressed to an UE arrives at the internet to the WAN interface of
     // the PGW it will be forwarded to the TUN device.
     Ipv4InterfaceContainer tunDeviceIpv4IfContainer = AssignUeIpv4Address(tunDeviceContainer);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/model/cqa-ff-mac-scheduler.cc ns-3.42/src/lte/model/cqa-ff-mac-scheduler.cc
--- ns-3.41/src/lte/model/cqa-ff-mac-scheduler.cc	2024-02-09 14:44:08.013790800 -0800
+++ ns-3.42/src/lte/model/cqa-ff-mac-scheduler.cc	2024-05-29 15:29:47.008073300 -0700
@@ -47,10 +47,10 @@
 
 /// CGA Type 0 Allocation
 static const int CqaType0AllocationRbg[4] = {
-    10,  // RGB size 1
-    26,  // RGB size 2
-    63,  // RGB size 3
-    110, // RGB size 4
+    10,  // RBG size 1
+    26,  // RBG size 2
+    63,  // RBG size 3
+    110, // RBG size 4
 };       // see table 7.1.6.1-1 of 36.213
 
 NS_OBJECT_ENSURE_REGISTERED(CqaFfMacScheduler);
@@ -1571,8 +1571,8 @@
             lcActives = 1;
         }
         // NS_LOG_DEBUG (this << "Allocate user " << newEl.m_rnti << " rbg " << lcActives);
-        uint16_t RgbPerRnti = (*itMap).second.size();
-        double doubleRBgPerRnti = RgbPerRnti;
+        uint16_t RbgPerRnti = (*itMap).second.size();
+        double doubleRBgPerRnti = RbgPerRnti;
         double doubleRbgNum = numberOfRBGs;
         double rrRatio = doubleRBgPerRnti / doubleRbgNum;
         m_rnti_per_ratio.insert(std::pair<uint16_t, double>((*itMap).first, rrRatio));
@@ -1588,7 +1588,7 @@
         }
 
         newDci.m_mcs.push_back(m_amc->GetMcsFromCqi(worstCqi));
-        int tbSize = (m_amc->GetDlTbSizeFromMcs(newDci.m_mcs.at(0), RgbPerRnti * rbgSize) /
+        int tbSize = (m_amc->GetDlTbSizeFromMcs(newDci.m_mcs.at(0), RbgPerRnti * rbgSize) /
                       8); // (size of TB in bytes according to table 7.1.7.2.1-1 of 36.213)
         newDci.m_tbsSize.push_back(tbSize);
         newDci.m_resAlloc = 0; // only allocation type 0 at this stage
@@ -2596,7 +2596,7 @@
 CqaFfMacScheduler::TransmissionModeConfigurationUpdate(uint16_t rnti, uint8_t txMode)
 {
     NS_LOG_FUNCTION(this << " RNTI " << rnti << " txMode " << (uint16_t)txMode);
-    FfMacCschedSapUser::CschedUeConfigUpdateIndParameters params;
+    FfMacCschedSapUser::CschedUeConfigUpdateIndParameters params{};
     params.m_rnti = rnti;
     params.m_transmissionMode = txMode;
     m_cschedSapUser->CschedUeConfigUpdateInd(params);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/model/cqa-ff-mac-scheduler.h ns-3.42/src/lte/model/cqa-ff-mac-scheduler.h
--- ns-3.41/src/lte/model/cqa-ff-mac-scheduler.h	2024-02-09 14:44:08.013790800 -0800
+++ ns-3.42/src/lte/model/cqa-ff-mac-scheduler.h	2024-05-29 15:29:47.008073300 -0700
@@ -213,7 +213,7 @@
     void DoSchedUlCqiInfoReq(const FfMacSchedSapProvider::SchedUlCqiInfoReqParameters& params);
 
     /**
-     * Get RGB Size
+     * Get RBG Size
      * \param dlbandwidth the DL bandwidth
      * \returns the size
      */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/model/epc-gtpc-header.cc ns-3.42/src/lte/model/epc-gtpc-header.cc
--- ns-3.41/src/lte/model/epc-gtpc-header.cc	2024-02-09 14:44:08.013790800 -0800
+++ ns-3.42/src/lte/model/epc-gtpc-header.cc	2024-05-29 15:29:47.008073300 -0700
@@ -497,6 +497,7 @@
     SetSequenceNumber(0);
     m_imsi = 0;
     m_uliEcgi = 0;
+    m_senderCpFteid = {};
 }
 
 GtpcCreateSessionRequestMessage::~GtpcCreateSessionRequestMessage()
@@ -658,6 +659,7 @@
     SetMessageType(GtpcHeader::CreateSessionResponse);
     SetSequenceNumber(0);
     m_cause = Cause_t::RESERVED;
+    m_senderCpFteid = {};
 }
 
 GtpcCreateSessionResponseMessage::~GtpcCreateSessionResponseMessage()
@@ -1206,6 +1208,7 @@
 {
     SetMessageType(GtpcHeader::DeleteBearerResponse);
     SetSequenceNumber(0);
+    m_cause = Cause_t::RESERVED;
 }
 
 GtpcDeleteBearerResponseMessage::~GtpcDeleteBearerResponseMessage()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/model/epc-gtpc-header.h ns-3.42/src/lte/model/epc-gtpc-header.h
--- ns-3.41/src/lte/model/epc-gtpc-header.h	2024-02-09 14:44:08.013790800 -0800
+++ ns-3.42/src/lte/model/epc-gtpc-header.h	2024-05-29 15:29:47.008073300 -0700
@@ -127,9 +127,9 @@
     /// FTEID structure
     struct Fteid_t
     {
-        InterfaceType_t interfaceType; //!< Interface type
-        Ipv4Address addr;              //!< IPv4 address
-        uint32_t teid;                 //!< TEID
+        InterfaceType_t interfaceType{}; //!< Interface type
+        Ipv4Address addr;                //!< IPv4 address
+        uint32_t teid;                   //!< TEID
     };
 
     /// Message Type enumeration
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/model/epc-mme-application.cc ns-3.42/src/lte/model/epc-mme-application.cc
--- ns-3.41/src/lte/model/epc-mme-application.cc	2024-02-09 14:44:08.013790800 -0800
+++ ns-3.42/src/lte/model/epc-mme-application.cc	2024-05-29 15:29:47.008073300 -0700
@@ -143,7 +143,7 @@
          bit != it->second->bearersToBeActivated.end();
          ++bit)
     {
-        GtpcCreateSessionRequestMessage::BearerContextToBeCreated bearerContext;
+        GtpcCreateSessionRequestMessage::BearerContextToBeCreated bearerContext{};
         bearerContext.epsBearerId = bit->bearerId;
         bearerContext.tft = bit->tft;
         bearerContext.bearerLevelQos = bit->bearer;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/model/eps-bearer.h ns-3.42/src/lte/model/eps-bearer.h
--- ns-3.41/src/lte/model/eps-bearer.h	2024-02-09 14:44:08.013790800 -0800
+++ ns-3.42/src/lte/model/eps-bearer.h	2024-05-29 15:29:47.008073300 -0700
@@ -243,34 +243,13 @@
 
   private:
     /**
-     * \brief Hashing QCI
-     *
-     * Qci are just uint8_t, so that's how we calculate the hash. Unfortunately,
-     * we have to provide this struct because gcc 4.9 would not compile otherwise.
-     */
-    struct QciHash
-    {
-        /**
-         * \brief Hash the QCI like a normal uint8_t
-         * \param s Qci to hash
-         * \return Hash of Qci
-         */
-        std::size_t operator()(const Qci& s) const noexcept
-        {
-            return std::hash<uint8_t>{}(s);
-        }
-    };
-
-    /**
      * \brief Map between QCI and requirements
      *
      * The tuple is formed by: resource type, priority, packet delay budget, packet error rate,
      *  default maximum data burst, default averaging window (0 when does not apply)
      */
-    typedef std::unordered_map<Qci,
-                               std::tuple<uint8_t, uint8_t, uint16_t, double, uint32_t, uint32_t>,
-                               QciHash>
-        BearerRequirementsMap;
+    using BearerRequirementsMap =
+        std::unordered_map<Qci, std::tuple<uint8_t, uint8_t, uint16_t, double, uint32_t, uint32_t>>;
 
     /**
      * \brief Get the resource type (NON-GBR, GBR, DC-GBR) of the selected QCI
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/model/fading-traces/fading_trace_generator.m ns-3.42/src/lte/model/fading-traces/fading_trace_generator.m
--- ns-3.41/src/lte/model/fading-traces/fading_trace_generator.m	2024-02-09 14:44:08.181792000 -0800
+++ ns-3.42/src/lte/model/fading-traces/fading_trace_generator.m	2024-05-29 15:29:47.112073700 -0700
@@ -31,7 +31,7 @@
 % when working with an FFT, the normalized frequency w is
 % w = 2 * pi * (f/fs) * t
 % hence the max normalized frequency w=2*pi corresponds to f = fs,
-% hence fs is also the max frequecy of our PowerSpectralDensity
+% hence fs is also the max frequency of our PowerSpectralDensity
 fs = 20e6;
 
 % sampling period must be determined corresponding to the sampling
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/model/fdbet-ff-mac-scheduler.cc ns-3.42/src/lte/model/fdbet-ff-mac-scheduler.cc
--- ns-3.41/src/lte/model/fdbet-ff-mac-scheduler.cc	2024-02-09 14:44:08.181792000 -0800
+++ ns-3.42/src/lte/model/fdbet-ff-mac-scheduler.cc	2024-05-29 15:29:47.112073700 -0700
@@ -39,10 +39,10 @@
 
 /// FdBetType0AllocationRbg array
 static const int FdBetType0AllocationRbg[4] = {
-    10,  // RGB size 1
-    26,  // RGB size 2
-    63,  // RGB size 3
-    110, // RGB size 4
+    10,  // RBG size 1
+    26,  // RBG size 2
+    63,  // RBG size 3
+    110, // RBG size 4
 };       // see table 7.1.6.1-1 of 36.213
 
 NS_OBJECT_ENSURE_REGISTERED(FdBetFfMacScheduler);
@@ -1037,7 +1037,7 @@
             // Set to max value, to avoid divide by 0 below
             lcActives = (uint16_t)65535; // UINT16_MAX;
         }
-        uint16_t RgbPerRnti = (*itMap).second.size();
+        uint16_t RbgPerRnti = (*itMap).second.size();
         auto itCqi = m_p10CqiRxed.find((*itMap).first);
         auto itTxMode = m_uesTxMode.find((*itMap).first);
         if (itTxMode == m_uesTxMode.end())
@@ -1058,7 +1058,7 @@
                 newDci.m_mcs.push_back(m_amc->GetMcsFromCqi((*itCqi).second));
             }
 
-            int tbSize = (m_amc->GetDlTbSizeFromMcs(newDci.m_mcs.at(j), RgbPerRnti * rbgSize) /
+            int tbSize = (m_amc->GetDlTbSizeFromMcs(newDci.m_mcs.at(j), RbgPerRnti * rbgSize) /
                           8); // (size of TB in bytes according to table 7.1.7.2.1-1 of 36.213)
             newDci.m_tbsSize.push_back(tbSize);
             bytesTxed += tbSize;
@@ -2020,7 +2020,7 @@
 FdBetFfMacScheduler::TransmissionModeConfigurationUpdate(uint16_t rnti, uint8_t txMode)
 {
     NS_LOG_FUNCTION(this << " RNTI " << rnti << " txMode " << (uint16_t)txMode);
-    FfMacCschedSapUser::CschedUeConfigUpdateIndParameters params;
+    FfMacCschedSapUser::CschedUeConfigUpdateIndParameters params{};
     params.m_rnti = rnti;
     params.m_transmissionMode = txMode;
     m_cschedSapUser->CschedUeConfigUpdateInd(params);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/model/fdbet-ff-mac-scheduler.h ns-3.42/src/lte/model/fdbet-ff-mac-scheduler.h
--- ns-3.41/src/lte/model/fdbet-ff-mac-scheduler.h	2024-02-09 14:44:08.181792000 -0800
+++ ns-3.42/src/lte/model/fdbet-ff-mac-scheduler.h	2024-05-29 15:29:47.112073700 -0700
@@ -192,7 +192,7 @@
 
     /**
      * Sched UL SR info request function
-     * \param params the Schedul UL SR info request parameters
+     * \param params the Schedule UL SR info request parameters
      */
     void DoSchedUlSrInfoReq(const FfMacSchedSapProvider::SchedUlSrInfoReqParameters& params);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/model/fdmt-ff-mac-scheduler.cc ns-3.42/src/lte/model/fdmt-ff-mac-scheduler.cc
--- ns-3.41/src/lte/model/fdmt-ff-mac-scheduler.cc	2024-02-09 14:44:08.181792000 -0800
+++ ns-3.42/src/lte/model/fdmt-ff-mac-scheduler.cc	2024-05-29 15:29:47.112073700 -0700
@@ -39,10 +39,10 @@
 
 /// FdMtType0AllocationRbg size array
 static const int FdMtType0AllocationRbg[4] = {
-    10,  // RGB size 1
-    26,  // RGB size 2
-    63,  // RGB size 3
-    110, // RGB size 4
+    10,  // RBG size 1
+    26,  // RBG size 2
+    63,  // RBG size 3
+    110, // RBG size 4
 };       // see table 7.1.6.1-1 of 36.213
 
 NS_OBJECT_ENSURE_REGISTERED(FdMtFfMacScheduler);
@@ -980,7 +980,7 @@
             // Set to max value, to avoid divide by 0 below
             lcActives = (uint16_t)65535; // UINT16_MAX;
         }
-        uint16_t RgbPerRnti = (*itMap).second.size();
+        uint16_t RbgPerRnti = (*itMap).second.size();
         auto itCqi = m_a30CqiRxed.find((*itMap).first);
         auto itTxMode = m_uesTxMode.find((*itMap).first);
         if (itTxMode == m_uesTxMode.end())
@@ -1047,7 +1047,7 @@
         for (uint8_t j = 0; j < nLayer; j++)
         {
             newDci.m_mcs.push_back(m_amc->GetMcsFromCqi(worstCqi.at(j)));
-            int tbSize = (m_amc->GetDlTbSizeFromMcs(newDci.m_mcs.at(j), RgbPerRnti * rbgSize) /
+            int tbSize = (m_amc->GetDlTbSizeFromMcs(newDci.m_mcs.at(j), RbgPerRnti * rbgSize) /
                           8); // (size of TB in bytes according to table 7.1.7.2.1-1 of 36.213)
             newDci.m_tbsSize.push_back(tbSize);
             NS_LOG_INFO(this << " Layer " << (uint16_t)j << " MCS selected"
@@ -1959,7 +1959,7 @@
 FdMtFfMacScheduler::TransmissionModeConfigurationUpdate(uint16_t rnti, uint8_t txMode)
 {
     NS_LOG_FUNCTION(this << " RNTI " << rnti << " txMode " << (uint16_t)txMode);
-    FfMacCschedSapUser::CschedUeConfigUpdateIndParameters params;
+    FfMacCschedSapUser::CschedUeConfigUpdateIndParameters params{};
     params.m_rnti = rnti;
     params.m_transmissionMode = txMode;
     m_cschedSapUser->CschedUeConfigUpdateInd(params);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/model/fdtbfq-ff-mac-scheduler.cc ns-3.42/src/lte/model/fdtbfq-ff-mac-scheduler.cc
--- ns-3.41/src/lte/model/fdtbfq-ff-mac-scheduler.cc	2024-02-09 14:44:08.181792000 -0800
+++ ns-3.42/src/lte/model/fdtbfq-ff-mac-scheduler.cc	2024-05-29 15:29:47.112073700 -0700
@@ -40,10 +40,10 @@
 
 /// FdTbfqType0AllocationRbg value array
 static const int FdTbfqType0AllocationRbg[4] = {
-    10,  // RGB size 1
-    26,  // RGB size 2
-    63,  // RGB size 3
-    110, // RGB size 4
+    10,  // RBG size 1
+    26,  // RBG size 2
+    63,  // RBG size 3
+    110, // RBG size 4
 };       // see table 7.1.6.1-1 of 36.213
 
 NS_OBJECT_ENSURE_REGISTERED(FdTbfqFfMacScheduler);
@@ -1373,7 +1373,7 @@
             // Set to max value, to avoid divide by 0 below
             lcActives = (uint16_t)65535; // UINT16_MAX;
         }
-        uint16_t RgbPerRnti = (*itMap).second.size();
+        uint16_t RbgPerRnti = (*itMap).second.size();
         auto itCqi = m_a30CqiRxed.find((*itMap).first);
         auto itTxMode = m_uesTxMode.find((*itMap).first);
         if (itTxMode == m_uesTxMode.end())
@@ -1440,7 +1440,7 @@
         for (uint8_t j = 0; j < nLayer; j++)
         {
             newDci.m_mcs.push_back(m_amc->GetMcsFromCqi(worstCqi.at(j)));
-            int tbSize = (m_amc->GetDlTbSizeFromMcs(newDci.m_mcs.at(j), RgbPerRnti * rbgSize) /
+            int tbSize = (m_amc->GetDlTbSizeFromMcs(newDci.m_mcs.at(j), RbgPerRnti * rbgSize) /
                           8); // (size of TB in bytes according to table 7.1.7.2.1-1 of 36.213)
             newDci.m_tbsSize.push_back(tbSize);
             NS_LOG_INFO(this << " Layer " << (uint16_t)j << " MCS selected"
@@ -2381,7 +2381,7 @@
 FdTbfqFfMacScheduler::TransmissionModeConfigurationUpdate(uint16_t rnti, uint8_t txMode)
 {
     NS_LOG_FUNCTION(this << " RNTI " << rnti << " txMode " << (uint16_t)txMode);
-    FfMacCschedSapUser::CschedUeConfigUpdateIndParameters params;
+    FfMacCschedSapUser::CschedUeConfigUpdateIndParameters params{};
     params.m_rnti = rnti;
     params.m_transmissionMode = txMode;
     m_cschedSapUser->CschedUeConfigUpdateInd(params);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/model/fdtbfq-ff-mac-scheduler.h ns-3.42/src/lte/model/fdtbfq-ff-mac-scheduler.h
--- ns-3.41/src/lte/model/fdtbfq-ff-mac-scheduler.h	2024-02-09 14:44:08.181792000 -0800
+++ ns-3.42/src/lte/model/fdtbfq-ff-mac-scheduler.h	2024-05-29 15:29:47.112073700 -0700
@@ -125,7 +125,7 @@
     friend class MemberSchedSapProvider<FdTbfqFfMacScheduler>;
 
     /**
-     * Transmisson mode config update function
+     * Transmission mode config update function
      * \param rnti the RNTI
      * \param txMode the transmit mode
      */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/model/ff-mac-common.h ns-3.42/src/lte/model/ff-mac-common.h
--- ns-3.41/src/lte/model/ff-mac-common.h	2024-02-09 14:44:08.181792000 -0800
+++ ns-3.42/src/lte/model/ff-mac-common.h	2024-05-29 15:29:47.112073700 -0700
@@ -405,11 +405,13 @@
  */
 struct SrConfig_s
 {
-    enum SetupRelease_e m_action
+    /// Actions
+    enum SetupRelease_e
     {
         setup
-    }; ///< action
+    };
 
+    SetupRelease_e m_action;            ///< action
     uint8_t m_schedInterval{UINT8_MAX}; ///< sched interval
     uint8_t m_dsrTransMax{UINT8_MAX};   ///< trans max
 };
@@ -419,11 +421,13 @@
  */
 struct CqiConfig_s
 {
-    enum SetupRelease_e m_action
+    /// Actions
+    enum SetupRelease_e
     {
         setup
-    }; ///< action
+    };
 
+    SetupRelease_e m_action;                 ///< CQI action
     uint16_t m_cqiSchedInterval{UINT16_MAX}; ///< CQI schedule interval
     uint8_t m_riSchedInterval{UINT8_MAX};    ///< RI schedule interval
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/model/lte-common.cc ns-3.42/src/lte/model/lte-common.cc
--- ns-3.41/src/lte/model/lte-common.cc	2024-02-09 14:44:08.185792200 -0800
+++ ns-3.42/src/lte/model/lte-common.cc	2024-05-29 15:29:47.112073700 -0700
@@ -206,23 +206,15 @@
     switch (txMode)
     {
     case 0: // Tx MODE 1: SISO
-        nLayer = 1;
-        break;
     case 1: // Tx MODE 2: MIMO Tx Diversity
         nLayer = 1;
         break;
     case 2: // Tx MODE 3: MIMO Spatial Multiplexity Open Loop
-        nLayer = 2;
-        break;
     case 3: // Tx MODE 4: MIMO Spatial Multiplexity Closed Loop
-        nLayer = 2;
-        break;
     case 4: // Tx MODE 5: MIMO Multi-User
         nLayer = 2;
         break;
     case 5: // Tx MODE 6: Closer loop single layer percoding
-        nLayer = 1;
-        break;
     case 6: // Tx MODE 7: Single antenna port 5
         nLayer = 1;
         break;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/model/lte-enb-mac.cc ns-3.42/src/lte/model/lte-enb-mac.cc
--- ns-3.41/src/lte/model/lte-enb-mac.cc	2024-02-09 14:44:08.185792200 -0800
+++ ns-3.42/src/lte/model/lte-enb-mac.cc	2024-05-29 15:29:47.116073600 -0700
@@ -771,7 +771,7 @@
 LteEnbMac::DoConfigureMac(uint16_t ulBandwidth, uint16_t dlBandwidth)
 {
     NS_LOG_FUNCTION(this << " ulBandwidth=" << ulBandwidth << " dlBandwidth=" << dlBandwidth);
-    FfMacCschedSapProvider::CschedCellConfigReqParameters params;
+    FfMacCschedSapProvider::CschedCellConfigReqParameters params{};
     // Configure the subset of parameters used by FfMacScheduler
     params.m_ulBandwidth = ulBandwidth;
     params.m_dlBandwidth = dlBandwidth;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/model/lte-enb-mac.h ns-3.42/src/lte/model/lte-enb-mac.h
--- ns-3.41/src/lte/model/lte-enb-mac.h	2024-02-09 14:44:08.185792200 -0800
+++ ns-3.42/src/lte/model/lte-enb-mac.h	2024-05-29 15:29:47.116073600 -0700
@@ -364,12 +364,12 @@
 
   private:
     /**
-     * \brief UL Info List ELements HARQ Feedback function
+     * \brief UL Info List Elements HARQ Feedback function
      * \param params UlInfoListElement_s
      */
     void DoUlInfoListElementHarqFeedback(UlInfoListElement_s params);
     /**
-     * \brief DL Info List ELements HARQ Feedback function
+     * \brief DL Info List Elements HARQ Feedback function
      * \param params DlInfoListElement_s
      */
     void DoDlInfoListElementHarqFeedback(DlInfoListElement_s params);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/model/lte-enb-phy.cc ns-3.42/src/lte/model/lte-enb-phy.cc
--- ns-3.41/src/lte/model/lte-enb-phy.cc	2024-02-09 14:44:08.185792200 -0800
+++ ns-3.42/src/lte/model/lte-enb-phy.cc	2024-05-29 15:29:47.116073600 -0700
@@ -882,10 +882,10 @@
     m_dlBandwidth = dlBandwidth;
 
     static const int Type0AllocationRbg[4] = {
-        10,  // RGB size 1
-        26,  // RGB size 2
-        63,  // RGB size 3
-        110, // RGB size 4
+        10,  // RBG size 1
+        26,  // RBG size 2
+        63,  // RBG size 3
+        110, // RBG size 4
     };       // see table 7.1.6.1-1 of 36.213
     for (int i = 0; i < 4; i++)
     {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/model/lte-enb-rrc.cc ns-3.42/src/lte/model/lte-enb-rrc.cc
--- ns-3.41/src/lte/model/lte-enb-rrc.cc	2024-02-09 14:44:08.185792200 -0800
+++ ns-3.42/src/lte/model/lte-enb-rrc.cc	2024-05-29 15:29:47.116073600 -0700
@@ -576,7 +576,7 @@
     rrcd.physicalConfigDedicated = m_physicalConfigDedicated;
 
     // populating RRCConnectionReconfiguration message as per 3GPP TS 36.331 version 9.2.0 Release 9
-    LteRrcSap::RrcConnectionReconfiguration msg;
+    LteRrcSap::RrcConnectionReconfiguration msg{};
     msg.haveMeasConfig = false;
     msg.haveMobilityControlInfo = false;
     msg.radioResourceConfigDedicated = rrcd;
@@ -1593,7 +1593,7 @@
 UeManager::BuildRrcConnectionReconfiguration()
 {
     NS_LOG_FUNCTION(this);
-    LteRrcSap::RrcConnectionReconfiguration msg;
+    LteRrcSap::RrcConnectionReconfiguration msg{};
     msg.rrcTransactionIdentifier = GetNewRrcTransactionIdentifier();
     msg.haveRadioResourceConfigDedicated = true;
     msg.radioResourceConfigDedicated = BuildRadioResourceConfigDedicated();
@@ -1715,8 +1715,6 @@
         break;
 
     case CONNECTION_SETUP:
-        break;
-
     case ATTACH_REQUEST:
         break;
 
@@ -1733,14 +1731,8 @@
     break;
 
     case CONNECTION_RECONFIGURATION:
-        break;
-
     case CONNECTION_REESTABLISHMENT:
-        break;
-
     case HANDOVER_LEAVING:
-        break;
-
     default:
         break;
     }
